PROJ = availram
PROJFILE = availram.MAK
DEBUG = 0

PWBRMAKE  = pwbrmake
NMAKEBSC1  = set
NMAKEBSC2  = nmake
CC    = cl
CFLAGS_G  = /W2 /BATCH
CFLAGS_D  = /qc /Od /Zi /Zr
CFLAGS_R  = /Ot /Oi /Ol /Oe /Og /Gs
MAPFILE_D  = NUL
MAPFILE_R  = NUL
LFLAGS_G  =  /NOI /NOE    /TINY /BATCH
LFLAGS_D  =  /CO /FAR /NOP
LFLAGS_R  = /FAR
LINKER    = link
ILINK  = ilink
LRF  = echo > NUL
RT_OBJS  = crtcom.lib

OBJS  = availram.obj

all: $(PROJ).com

.SUFFIXES:
.SUFFIXES: .obj .c

availram.obj : availram.c


$(PROJ).bsc : 

$(PROJ).com : $(OBJS)
!IF $(DEBUG)
        $(LRF) @<<$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_D)
$(LLIBS_G: = +^
) +
$(LLIBS_D: = +^
) +
$(LIBS: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_D);
<<
!ELSE
        $(LRF) @<<$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_R)
$(LLIBS_G: = +^
) +
$(LLIBS_R: = +^
) +
$(LIBS: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_R);
<<
!ENDIF
        $(LINKER) @$(PROJ).lrf


.c.obj :
!IF $(DEBUG)
        $(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Fo$@ $<
!ELSE
        $(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Fo$@ $<
!ENDIF


run: $(PROJ).com
        $(PROJ).com $(RUNFLAGS)

debug: $(PROJ).com
        CV $(CVFLAGS) $(PROJ).com $(RUNFLAGS)
